package es.uca.xmleye.gui.l10n;

/*
Copyright (C) 2005-2008 Antonio García Domínguez

This program is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any
later version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330,
Boston, MA 02111-1307 USA
 */
import java.util.*;

/**
 * Default locale information (English) for
 * {@link es.uca.xmleye.gui.DlgImportProcessError}.
 */
public class ResDlgImportProcessError extends ListResourceBundle {

  @Override
public Object[][] getContents() {
    return contents;
  }
  private static Object[][] contents = {
    {"dlg_title", "Import Process Error"},
    {"dlg_icon", "icons/32x32/dialog-error.png"},
    {"dlg_message", "There was a problem while importing.\n" +
      "The status code returned was %d."},
    {"lbl_stdout", "Standard output"},
    {"lbl_stderr", "Standard error"},
    {"btn_close", "Close"},};

  // Test code
  public static void main(String[] args) {
    // Print all values
    for (int i = 0; i < contents.length; ++i) {
      System.out.println(contents[i][0] + " = " + contents[i][1]);
    }
    // Let's try extracting them
    ResourceBundle rb = ResourceBundle.getBundle(
        "es.uca.xmleye.ResVentanaPrincipal", Locale.getDefault());
    for (int i = 0; i < contents.length; ++i) {
      System.out.println(contents[i][0] + " = " + rb.getObject(
          (String) contents[i][0]));
    }
  }
}
